Embed
curl --request POST \
--url https://api.example.com/v1/embed/chat/completionsimport requests
url = "https://api.example.com/v1/embed/chat/completions"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/embed/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoints
Embed
A LLM native endpoint that generates UI.
POST
/
v1
/
embed
/
chat
/
completions
Embed
 POST
https://api.thesys.dev/v1/embed/chat/completions - Drop in replacement for existing LLM endpoint that can be used to generate UI rather than text completions.
- Supports tool calling for fetching external data.
- Ability to steer semantic design via system prompts.
- Visual customization via Crayon
Request
Supports both streaming and non-streaming payloads.Response
Returns streaming chunks in streaming mode or a message object in non-streaming mode.Was this page helpful?
⌘I